org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class CollectStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.CollectStageVerification

    public class CollectStageVerification
    extends java.lang.Object

Verification for the collect stage.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collectShouldAccumulateResult()`
`void` `collectShouldPropagateUpstreamErrors()`
`void` `collectShouldSupportEmptyStreams()`
`void` `collectStageBuilderShouldBeReusable()`
`void` `collectStageShouldPropagateErrorsFromAccumulator()`
`void` `collectStageShouldPropagateErrorsFromFinisher()`
`void` `collectStageShouldPropagateErrorsFromSupplierThroughCompletionStage()`
`void` `finisherFunctionShouldBeInvoked()`
`void` `toListStageShouldPropagateUpstreamErrors()`
`void` `toListStageShouldReturnAList()`
`void` `toListStageShouldReturnEmpty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### toListStageShouldReturnAList

    public void toListStageShouldReturnAList()

#### toListStageShouldReturnEmpty

    public void toListStageShouldReturnEmpty()

#### collectShouldAccumulateResult

    public void collectShouldAccumulateResult()

#### collectShouldSupportEmptyStreams

    public void collectShouldSupportEmptyStreams()

#### collectShouldPropagateUpstreamErrors

    public void collectShouldPropagateUpstreamErrors()

#### finisherFunctionShouldBeInvoked

    public void finisherFunctionShouldBeInvoked()

#### toListStageShouldPropagateUpstreamErrors

    public void toListStageShouldPropagateUpstreamErrors()

#### collectStageShouldPropagateErrorsFromSupplierThroughCompletionStage

    public void collectStageShouldPropagateErrorsFromSupplierThroughCompletionStage()

#### collectStageShouldPropagateErrorsFromAccumulator

    public void collectStageShouldPropagateErrorsFromAccumulator()

#### collectStageShouldPropagateErrorsFromFinisher

    public void collectStageShouldPropagateErrorsFromFinisher()

#### collectStageBuilderShouldBeReusable

    public void collectStageBuilderShouldBeReusable()